Subject: Re: [PATCH 5/8] bash: Classify more commends out of completion.

From: "Shawn O. Pearce" <[email-masked]>
Date: Sun, 4 Feb 2007 21:37:26 -0500

Jakub Narebski <[email-masked]> wrote:
> Shawn O. Pearce wrote:
> 
> [cut]
> 
> Sidenote: do you have git-config and git-init as commands to use?

Yes.  init and config are not in that table, which means they will
be offered as possible completions.  The table defaults to include
every command, I filter out stuff which people aren't expected to
be running (frequently) from an interactive shell.  Err on the side
of caution...

But not only is config in the table, we support completion on
lots of the arguments, e.g. `git config branch.ma<tab>.re<tab>`
(for branch.master.remote).

-- 
Shawn.